PagedResultList (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.orm
[Java] Class PagedResultList

    java.lang.Object
      grails.orm.PagedResultList

All Implemented Interfaces:
  java.util.List, java.io.Serializable

    @SuppressWarnings({"unchecked","rawtypes"})
    public class PagedResultList
    extends java.lang.Object

A result list for Criteria list calls, which is aware of the totalCount for the paged result.

Authors:
  Siegfried Puchbauer

Since:
  1.0

Field Summary
`protected java.util.List` | `list`
`protected int` | `totalCount`

Constructor Summary
`PagedResultList(GrailsHibernateTemplate template, org.hibernate.Criteria crit)`

Method Summary
`boolean` | `add(java.lang.Object o)`
`void` | `add(int i, java.lang.Object o)`
`boolean` | `addAll(java.util.Collection collection)`
`boolean` | `addAll(int i, java.util.Collection collection)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(java.util.Collection collection)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `get(int i)`
`int` | `getTotalCount()`
`int` | `hashCode()`
`int` | `indexOf(java.lang.Object o)`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`int` | `lastIndexOf(java.lang.Object o)`
`java.util.ListIterator` | `listIterator()`
`java.util.ListIterator` | `listIterator(int i)`
`boolean` | `remove(java.lang.Object o)`
`java.lang.Object` | `remove(int i)`
`boolean` | `removeAll(java.util.Collection collection)`
`boolean` | `retainAll(java.util.Collection collection)`
`java.lang.Object` | `set(int i, java.lang.Object o)`
`void` | `setTotalCount(int totalCount)`
`int` | `size()`
`java.util.List` | `subList(int i, int i1)`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] objects)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### list

    protected java.util.List list

### totalCount

    protected int totalCount

Constructor Detail

### PagedResultList

    public PagedResultList(GrailsHibernateTemplate template, org.hibernate.Criteria crit)

Method Detail

### add

    public boolean add(java.lang.Object o)

### add

    public void add(int i, java.lang.Object o)

### addAll

    public boolean addAll(java.util.Collection collection)

### addAll

    public boolean addAll(int i, java.util.Collection collection)

### clear

    public void clear()

### contains

    public boolean contains(java.lang.Object o)

### containsAll

    public boolean containsAll(java.util.Collection collection)

### equals

    @Override
    public boolean equals(java.lang.Object o)

### get

    public java.lang.Object get(int i)

### getTotalCount

    public int getTotalCount()

### hashCode

    @Override
    public int hashCode()

### indexOf

    public int indexOf(java.lang.Object o)

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator iterator()

### lastIndexOf

    public int lastIndexOf(java.lang.Object o)

### listIterator

    public java.util.ListIterator listIterator()

### listIterator

    public java.util.ListIterator listIterator(int i)

### remove

    public boolean remove(java.lang.Object o)

### remove

    public java.lang.Object remove(int i)

### removeAll

    public boolean removeAll(java.util.Collection collection)

### retainAll

    public boolean retainAll(java.util.Collection collection)

### set

    public java.lang.Object set(int i, java.lang.Object o)

### setTotalCount

    public void setTotalCount(int totalCount)

### size

    public int size()

### subList

    public java.util.List subList(int i, int i1)

### toArray

    public java.lang.Object[] toArray()

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] objects)

Groovy Documentation